{% extends "layout.html" %}    <!-- これで元になるHTML(laytout.html)を指定 -->

{% block body %}    <!-- layout.htmlのbodyというブロックを以下で置き換える -->

  <div class="container">
    <div class="row align-items-center justify-content-center">
      <div class="col">
        <h1>Module Registration</h1>
      </div>
    </div>
  </div>

  {% if stage == "request" %}
    <div class="container">
      <div class="row align-items-center justify-content-center">
        <div class="col">
          <h4>Thank you for registering a new module.</h4><br>
        </div>
        <div class="col">
          <center><a href="{{ url_for('register_api.register_chip') }}">Register an additional module.</a></center>
        </div>
      </div>
    </div>
  {% else %}
    <div class="container">
          <p>  You can register a new module using this form. Please login before you register a new module.</p>
          {% if not nametext == _brank %}
          <p><div class="col-md-2"></div><div class="col-md-10"><font color=#ff0000>{{ nametext }}</font></div></p>
          {% endif %}

          <font color=#ff0000 size=2">* Required</font>
          <form class="form-holizontal" role="form" method="post" action="register_module" accept-charset="UTF-8">
                <div class="form-group row">
           		    <label class="col-form-label col-md-2" for="name">Module name (serialNumber)<font color=#ff0000>*</font></label>
                  <div class="col-md-10">
                    {% if stage == "input" %}
           		        <input type="text" class="form-control" value="{{ moduleInfo[0] }}" placeholder="Module name" name="moduleinfo" id="name" required="required">
                    {% elif stage == "input2" %}
           		        <input type="hidden" value="{{ moduleInfo[0] }}" name="moduleinfo">
                      <p>{{ moduleInfo[0] }}</p>
                    {% elif stage == "confirm" %}
           		        <input type="hidden" value="{{ moduleInfo[0] }}" name="moduleinfo">
                      <p>{{ moduleInfo[0] }}</p>
                    {% endif %}
           		    </div>
                  {% if not nametext2 == _brank %}
                  <p><div class="col-md-2"></div><div class="col-md-10"><font color=#ff0000>{{ nametext2 }}</font></div></p>
                  {% endif %}
           		  </div>
          
                <div class="form-group row">
           		    <label class="col-form-label col-md-2" for="email">Chip type<font color=#ff0000>*</font></label>
                   <div class="col-md-10">
                    {% if stage == "input" %}
           		        <!--<input type="text" class="form-control" value="{{ moduleInfo[1] }}" placeholder="Collection" name="moduleinfo" id="name" required="required">-->
                      <select class="form-control" name="moduleinfo" id="collection" required="required" value="{{ moduleInfo[1] }}">
                        <option value="">*** choose chip type ***</option>
                        <option value="FE-I4B">FE-I4B</option>
                        <option value="RD53A">RD53A</option>
                      </select>
                    {% elif stage == "input2" %}
           		        <input type="hidden" value="{{ moduleInfo[1] }}" name="moduleinfo">
                      <p>{{ moduleInfo[1] }}</p>
                    {% elif stage == "confirm" %}
           		        <input type="hidden" value="{{ moduleInfo[1] }}" name="moduleinfo">
                      <p>{{ moduleInfo[1] }}</p>
                    {% endif %}
            		    </div>
           		  </div>


                <div class="form-group row">
           		    <label class="col-form-label col-md-2" for="name">Row<font color=#ff0000>*</font></label>
                  <div class="col-md-10">
                    {% if stage == "input" %}
           		        <!--<input type="text" pattern="^[1-9][0-9]*$"  class="form-control" value="{{ moduleInfo[2] }}" placeholder="Row" name="moduleinfo" id="name" required="required">-->
                      <input type="radio" name="row" value="1"> 1
                      <input type="radio" name="row" value="2"> 2
                    {% elif stage == "input2" %}
           		        <input type="hidden" value="{{ Row }}" name="row">
                      <p>{{ Row }}</p>
                    {% elif stage == "confirm" %}
           		        <input type="hidden" value="{{ Row }}" name="row">
                      <p>{{ Row }}</p>
                    {% endif %}
           		    </div>
           		  </div>

                <div class="form-group row">
           		    <label class="col-form-label col-md-2" for="name">Col<font color=#ff0000>*</font></label>
                  <div class="col-md-10">
                    {% if stage == "input" %}
                      <input type="radio" name="col" value="1"> 1
                      <input type="radio" name="col" value="2"> 2
                      <input type="radio" name="col" value="3"> 3
                      <input type="radio" name="col" value="4"> 4
                    {% elif stage == "input2" %}
           		        <input type="hidden" value="{{ Col }}" name="col">
                      <p>{{ Col }}</p>
                    {% elif stage == "confirm" %}
           		        <input type="hidden" value="{{ Col }}" name="col">
                      <p>{{ Col }}</p>
                    {% endif %}
           		    </div>
                  {% if not nametext2 == _brank %}
                  <p><div class="col-md-2"></div><div class="col-md-10"><font color=#ff0000>{{ nametext }}</font></div></p>
                  {% endif %}
           		  </div>

                <div class="form-group row">
           		    <label class="col-form-label col-md-2" for="email">Registration site<font color=#ff0000>*</font></label>
                   <div class="col-md-10">
                    {% if stage == "input" %}
                      <select class="form-control" name="moduleinfo" id="collection" required="required" value="{{ moduleInfo[2] }}">
                        <option value="">*** choose registration site ***</option>
                        {% for address in Address %}
                          <option value="{{ address['institution'] }}">{{ address['institution'] }}</option>
                        {% endfor %}
                        <option value="other">other</option>
                      </select>
           		        <input type="text" class="form-control" value="{{ moduleInfo[4] }}" placeholder="Registration site" name="moduleinfo" id="name">
                      {% if not nametext3 == _brank %}
                        <p><div class="col-md-2"></div><div class="col-md-10"><font color=#ff0000>{{ nametext3 }}</font></div></p>
                      {% endif %}
                      If you select "other" as registration, please input the name of the site where this module is located.
                    {% elif stage == "confirm" or stage == "input2" %}
           		        <input type="hidden" value="{{ moduleInfo[2] }}" name="moduleinfo">
           		        <input type="hidden" value="{{ moduleInfo[3] }}" name="moduleinfo">
                      {% if not moduleInfo[2] == 'other' %}
                        <p>{{ moduleInfo[2] }}</p>
                      {% else %}
                        <p>{{ moduleInfo[3] }}</p>
                      {% endif %}
                    {% endif %}
            		    </div>
           		  </div>

                {% if not stage == "input" %}
                  {% for i in range(Row) %}
                    {% for j in range(Col) %}
                      <div class="form-group row">
           		          <label class="col-form-label col-md-2" for="email">Geometricali ID ({{ j }},{{ i }})<font color=#ff0000>*</font></label>
                        <div class="col-md-10">
                          {% if stage == "input2" %}
                            <select class="form-control" name="moduleinfo" id="collection" value="{{ moduleInfo[2*i+j+4] }}">
                              <option value="">*** Select chip name ***</option>
                              {% for chip in chips %}
                                <option value="{{ chip['name'] }}">
                                {{ chip['name'] }}
                                </option>
                              {% endfor %}
                            </select>
                          {% elif stage == "confirm" %}
           		              <input type="hidden" required="required" value="{{ moduleInfo[2*i+j+4] }}" name="moduleinfo">
                            <p>{{ moduleInfo[2*i+j+4] }}</p>
                          {% endif %}
            		        </div>
           		        </div>
                    {% endfor %}
                  {% endfor %}
                  {% if not nametext4 == _brank %}
                  <p><div class="col-md-2"></div><div class="col-md-10"><font color=#ff0000>{{ nametext4 }}</font></div></p>
                  {% endif %}
                {% endif %}

                {% if stage == "input2" %}
                  {% if moduleInfo[1] == 'FE-I4B' and Row == 2 and Col == 2 %}
                    <div align="center">
                      <img src="/localdb/static/images/FEI4B-photo2.png" title="Map" width="400" height="400">
                    </div>
                    <br>
                  {% endif %}                  
                {% endif %}                  

           		  <div class="form-group row align-items-center justify-content-center">
                  <div class="col-md-10">
                  {% if stage == "input" %}
            	        <button type="submit" class="btn btn-primary btn-block" name="stage" value="input2">Next</button>
                  {% elif stage == "input2" %}
            	        <button type="submit" class="btn btn-primary btn-block" name="stage" value="confirm">Proceed</button>
            	        <button type="submit" class="btn btn-primary btn-block" name="stage" value="input">Back page</button>
                  {% elif stage == "confirm" %}
            	        <button type="submit" class="btn btn-primary btn-block" name="stage" value="request">Create</button>
            	        <button type="submit" class="btn btn-primary btn-block" name="stage" value="input2">Back page</button>
                  {% endif %}
                  </div>
                </div>
          </form>
          
    </div>
  {% endif %}

{% endblock %}
